<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>登录</title>
    <link rel="stylesheet" href="/css/bootstrap.min.css">
    <link rel="stylesheet" href="css/style.css">
    <style>
        html,
body {
    height: 100%;
    max-width: 100%;
    margin: 0;
    overflow: hidden;
    font-family: sans-serif;
}

#space {
    width: 100%;
}
    </style>
</head>

<body class="vh-100 d-flex flex-column justify-content-center align-items-center bg-secondary">
    <canvas id="space"></canvas>
    <div class="card position-absolute" style="min-width: 380px;">
        <div class="card-header">
            <h3 class="card-title">欢迎登陆</h3>
        </div>
        <div class="card-body">
            <form action="/login" method="POST" class="was-validated">
                <div class="form-row mb-3">
                    <label for="username" class="col-2 text-justify col-form-label text-right">账号：</label>
                    <input type="text" class="form-control col-7" id="username" name="username" required
                        placeholder="请填写账号">
                    <p class="invalid-feedback col-3 col-form-label">请填写账号</p>
                </div>
                <div class="form-row mb-3">
                    <label for="password" class="col-2 text-justify col-form-label text-right">密码：</label>
                    <input type="password" class="form-control col-7" id="password" name="password" required
                        placeholder="请填写密码">
                    <p class="invalid-feedback col-3 col-form-label">请填写密码</p>
                </div>
                <div class="form-row mb-3">
                    <input type="submit" class="btn btn-primary w-100  col-7 offset-2" value="登录">
                </div>
                <div class="form-row">
                    <div class="text-danger col offset-2">
                        <%=msg%>
                    </div>
                </div>
            </form>
        </div>
        <div class="small text-center card-footer">
            <a href="/" class="text-secondary card-link">点击此处，返回首页</a>
        </div>
    </div>
    
    <script src="/js/bg.js"></script>
    <script src="/js/jquery.min.js"></script>
    <script src="/js/popper.min.js"></script>
    <script src="/js/bootstrap.min.js"></script>
</body>

</html>